%bcond_without packagekit

Summary:	Plasma 5 package manager
Name:		discover
Version:	5.7.2
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{name}-%{version}.tar.xz
Patch0:		discover-5.5.2-soname.patch
# Revert upstream commits that added rpath to libraries
# https://quickgit.kde.org/?p=discover.git&a=commitdiff&h=7e099790f3603fd0bf343fb85deab3a1425b8972
# https://quickgit.kde.org/?p=discover.git&a=commitdiff&h=6e92f5638ddd0a0ff257d2f425d1bbcbb35eba32
Patch1:		discover-5.7.2-library-install-path.patch
BuildRequires:	extra-cmake-modules
%if %{with packagekit}
BuildRequires:	appstream-qt5-devel
BuildRequires:	pkgconfig(packagekitqt5)
%endif
BuildRequires:	kf5attica-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5declarative-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5itemviews-devel
BuildRequires:	kf5kdelibs4support-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5newstuff-devel
BuildRequires:	kf5notifications-devel
BuildRequires:	kf5plasma-devel
BuildRequires:	kf5solid-devel
BuildRequires:	kf5wallet-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	pkgconfig(phonon4qt5)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5QuickWidgets)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
Requires:	%{name}-backend-kns
Conflicts:	muon < 5.5
Obsoletes:	muon < 5.5

%description
Plasma 5 package manager.

%files -f %{name}.lang
%{_kde5_applicationsdir}/org.kde.discover.desktop
%{_kde5_bindir}/plasma-discover
%{_kde5_datadir}/plasmadiscover/featured.json
%{_kde5_iconsdir}/hicolor/*/apps/plasmadiscover.*
%{_kde5_xmlguidir}/plasmadiscover/plasmadiscoverui.rc
%{_datadir}/appdata/org.kde.discover.appdata.xml

#----------------------------------------------------------------------------

%package backend-kns
Summary:	KNewStuff backend for Discover
Group:		Graphical desktop/KDE
Obsoletes:	muon-backend-kns < 5.5

%description backend-kns
KNewStuff backend for Discover.

%files backend-kns
%{_kde5_datadir}/libdiscover/backends/knscomic-backend.desktop
%{_kde5_datadir}/libdiscover/backends/knsdiscover_ktexteditor_codesnippets_core-backend.desktop
%{_kde5_datadir}/libdiscover/backends/knsplasmoids-backend.desktop
%{_kde5_datadir}/libdiscover/categories/knscomic-backend-categories.xml
%{_kde5_datadir}/libdiscover/categories/knsdiscover_ktexteditor_codesnippets_core-backend-categories.xml
%{_kde5_datadir}/libdiscover/categories/knsplasmoids-backend-categories.xml
%{_kde5_sysconfdir}/xdg/discover_ktexteditor_codesnippets_core.knsrc
%{_qt5_plugindir}/discover/kns-backend.so

#----------------------------------------------------------------------------

%if %{with packagekit}
%package backend-packagekit
Summary:	PackageKit backend for Discover
Group:		Graphical desktop/KDE
Obsoletes:	muon-backend-packagekit < 5.5

%description backend-packagekit
PackageKit backend for Discover.

%files backend-packagekit
%{_kde5_datadir}/libdiscover/backends/packagekit-backend.desktop
%{_kde5_datadir}/libdiscover/categories/packagekit-backend-categories.xml
%{_qt5_plugindir}/discover/packagekit-backend.so
%{_qt5_plugindir}/discover-notifier/DiscoverPackageKitNotifier.so
%endif

#----------------------------------------------------------------------------

%package -n plasma5-applet-discovernotifier
Summary:	Plasma 5 Discover notifier plasmoid
Group:		Graphical desktop/KDE
Requires:	%{name}
Requires:	discover-qml = %{EVRD}
Obsoletes:	plasma5-applet-muonnotifier < 5.5

%description -n plasma5-applet-discovernotifier
Plasma 5 Discover notifier plasmoid.

%files -n plasma5-applet-discovernotifier -f plasma_applet_org.kde.discovernotifier.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.discovernotifier/
%{_kde5_datadir}/plasma/plasmoids/org.kde.discovernotifier/*
%{_kde5_services}/plasma-applet-org.kde.discovernotifier.desktop
%dir %{_kde5_qmldir}/org/kde/discovernotifier/
%{_kde5_qmldir}/org/kde/discovernotifier/*

#----------------------------------------------------------------------------

%package -n libdiscover-common
Summary:	Plasma 5 package manager library common data files
Group:		Graphical desktop/KDE
Conflicts:	libmuon-common < 5.5
Obsoletes:	libmuon-common < 5.5
BuildArch:	noarch

%description -n libdiscover-common
Plasma 5 package manager library common data files.

%files -n libdiscover-common
%{_kde5_notificationsdir}/discoverabstractnotifier.notifyrc

#----------------------------------------------------------------------------

%package -n libdiscover-i18n
Summary:	Plasma 5 package manager library translations
Group:		System/Internationalization
Obsoletes:	libmuon-i18n < 5.5
BuildArch:	noarch

%description -n libdiscover-i18n
Plasma 5 package manager library translations.

%files -n libdiscover-i18n -f libdiscover.lang

#----------------------------------------------------------------------------

%define qmldiscover %mklibname discover-qml

%package -n %{qmldiscover}
Summary:	QML plugin for Plasma 5 package manager
Group:		System/Libraries
Requires:	kf5plasma-qml
Provides:	discover-qml = %{EVRD}
Obsoletes:	%{_lib}muon-qml < 5.5

%description -n %{qmldiscover}
QML plugin for Plasma 5 package manager.

%files -n %{qmldiscover}
%dir %{_kde5_qmldir}/org/kde/discover/
%{_kde5_qmldir}/org/kde/discover/*

#----------------------------------------------------------------------------

%define discovercommon_major 5
%define libdiscovercommon %mklibname discovercommon %{discovercommon_major}

%package -n %{libdiscovercommon}
Summary:	Plasma 5 package manager shared library
Group:		System/Libraries
Requires:	%{qmldiscover}
Requires:	libdiscover-common
Requires:	libdiscover-i18n
Obsoletes:	%{_lib}muoncommon5 < 5.5

%description -n %{libdiscovercommon}
Plasma 5 package manager shared library.

%files -n %{libdiscovercommon}
%{_kde5_libdir}/libDiscoverCommon.so.%{discovercommon_major}*

#----------------------------------------------------------------------------

%define discovernotifiers_major 5
%define libdiscovernotifiers %mklibname discovernotifiers %{discovernotifiers_major}

%package -n %{libdiscovernotifiers}
Summary:	Plasma 5 package manager shared library
Group:		System/Libraries
Requires:	%{qmldiscover}
Requires:	libdiscover-i18n
Obsoletes:	%{_lib}notifiers5 < 5.5

%description -n %{libdiscovernotifiers}
Plasma 5 package manager shared library.

%files -n %{libdiscovernotifiers}
%{_kde5_libdir}/libDiscoverNotifiers.so.%{discovernotifiers_major}*

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

rm -f %{buildroot}%{_kde5_libdir}/libDiscoverCommon.so
rm -f %{buildroot}%{_kde5_libdir}/libDiscoverNotifiers.so

%find_lang plasma-discover plasma-discover-exporter plasma-discover-notifier plasma-discover-updater %{name}.lang
%find_lang plasma_applet_org.kde.discovernotifier
%find_lang libdiscover

%changelog

* Thu Jul 21 2016 valerol <valerol@ya.ru> 5.7.2-1
- (20b16af) Update files


